GETUID(2) | System Calls Manual | GETUID(2)

# NAME

getuid, geteuid — get user identification

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <unistd.h>

uid_t
getuid(void);

uid_t
geteuid(void);

# DESCRIPTION

The getuid() function returns the real user ID of the calling process. The geteuid() function returns the effective user ID of the calling process.

The real user ID is that of the user who has invoked the program. As the effective user ID gives the process additional permissions during execution of “set-user-ID” mode processes, getuid() is used to determine the real-user-id of the calling process.

# ERRORS

The getuid() and geteuid() functions are always successful, and no return value is reserved to indicate an error.

# SEE ALSO

getgid(2), setreuid(2)

# STANDARDS

The geteuid() and getuid() functions conform to IEEE Std 1003.1-1990 (“POSIX.1”).

# HISTORY

The getuid() function appeared in Version 4 AT&T UNIX.

April 3, 2010 | NetBSD 7.2